When I use Yast Online Update it shows no needed patches. When I use the command line and try 'zypper update' it shows:

------------------------------------------------------------------------------------------------------

The following 44 package updates will NOT be installed:
cpp6 gcc6 gcc6-32bit gcc6-c++ gcc6-c++-32bit libfftw3-3 libfreebl3 libmozjs-17_0 libnsssharedhelper0 libsoftokn3 libstdc++6-devel-gcc6 libstdc++6-devel-gcc6-32bit llvm llvm-devel MozillaFirefox-branding-openSUSE
mozilla-kde4-integration mozilla-nss mozilla-nss-certs MozillaThunderbird python3-bottle python3-cairo python3-coverage python3-nose python3-pip python3-py python3-pycurl python3-requests python3-setuptools
python3-simplejson python-cairo python-cffi python-configobj python-cryptography python-decorator python-enum34 python-gtk python-idna python-ipaddress python-numpy python-pyasn1 python-pycparser python-pyOpenSSL
python-pyudev python-six

The following 3 NEW packages are going to be installed:
kernel-default-4.4.87-18.29.1 libmp3lame0 libtwolame0

The following application is going to be REMOVED:
Konsole

The following 161 packages are going to be upgraded:
alsa bind-libs bind-utils cpio cryptsetup cvs dconf device-mapper dirmngr dnsmasq dos2unix ft2demos glibc glibc-32bit glibc-devel glibc-devel-32bit glibc-extra glibc-locale glibc-locale-32bit
gsettings-backend-dconf gstreamer-plugins-bad gstreamer-plugins-base hwinfo ImageMagick iproute2 java-1_8_0-openjdk java-1_8_0-openjdk-headless kdelibs4 kdelibs4-core konsole konsole-part libasound2
libasound2-32bit libavcodec57 libavformat57 libavutil55 libcryptsetup4 libdconf1 libfreebl3 libfreetype6 libfreetype6-32bit libgcrypt20 libgcrypt20-32bit libgnutls28 libgraphite2-3 libgraphite2-3-32bit
libgstadaptivedemux-1_0-0 libgstallocators-1_0-0 libgstapp-1_0-0 libgstaudio-1_0-0 libgstbadaudio-1_0-0 libgstbadbase-1_0-0 libgstbadvideo-1_0-0 libgstbasecamerabinsrc-1_0-0 libgstcodecparsers-1_0-0
libgstfft-1_0-0 libgstgl-1_0-0 libgstmpegts-1_0-0 libgstpbutils-1_0-0 libgstphotography-1_0-0 libgstriff-1_0-0 libgstrtp-1_0-0 libgstrtsp-1_0-0 libgstsdp-1_0-0 libgsttag-1_0-0 libgsturidownloader-1_0-0
libgstvideo-1_0-0 libgstwayland-1_0-0 libharfbuzz0 libharfbuzz-icu0 libical1 libkde4 libkdecore4 libKF5Auth5 libksuseinstall1 libltdl7 libltdl7-32bit liblua5_1 libMagickCore-6_Q16-1 libMagickWand-6_Q16-1
libmwaw-0_3-3 libnetpbm11 libopenjpeg1 libply4 libply-boot-client4 libply-splash-core4 libply-splash-graphics4 libpulse0 libpulse0-32bit libpulse-mainloop-glib0 libQt5Concurrent5 libQt5Core5 libQt5DBus5
libQt5Gui5 libQt5Network5 libQt5OpenGL5 libQt5PrintSupport5 libQt5Sql5 libQt5Sql5-mysql libQt5Sql5-sqlite libQt5Test5 libQt5Widgets5 libQt5Xml5 libQtQuick5 libsoftokn3 libswresample2 libswscale4 libsystemd0
libsystemd0-32bit libtag1 libtag_c0 libtirpc3 libtirpc-netconfig libudev1 libwacom2 libwacom-data libXdmcp6 libXi6 libXi6-32bit libzypp lvm2 MozillaFirefox mozilla-nspr mozilla-nss mozilla-nss-certs
myspell-dictionaries myspell-lightproof-en netpbm nscd openssh openssh-helpers plasma5-pk-updates plymouth plymouth-dracut plymouth-plugin-label-ft plymouth-plugin-script plymouth-scripts pulseaudio
pulseaudio-bash-completion pulseaudio-module-bluetooth pulseaudio-module-jack pulseaudio-module-lirc pulseaudio-module-x11 pulseaudio-module-zeroconf pulseaudio-utils pulseaudio-utils-32bit python-pyinotify
python-simplejson rpcbind ruby2.1-rubygem-gem2rpm sed shadow smartmontools systemd systemd-32bit systemd-logger systemd-sysvinit taglib udev yast2-pkg-bindings zypper

161 packages to upgrade, 3 new.

-------------------------------------------------------------------------------------------

Huh ?

Does anybody know what is going on ? I can hardly believe that a 'zypper update' is going to remove the Konsole and install 3 n ew and 161 updates when Yast Online Update tells me I have no updates to make.